PowerShell 갤러리The PowerShell Gallery

PowerShell 갤러리는 PowerShell 콘텐츠에 대한 중앙 리포지토리입니다.The PowerShell Gallery is the central repository for PowerShell content. PowerShell 갤러리에서 PowerShell 명령 및 DSC(필요한 상태 구성) 리소스가 포함된 유용한 PowerShell 모듈을 찾을 수 있습니다.In it, you can find useful PowerShell modules containing PowerShell commands and Desired State Configuration (DSC) resources. PowerShell 워크플로가 포함된 경우도 있으며 일련의 작업을 간략하게 설명하고 해당 작업 순서를 제공하는 PowerShell 스크립트를 찾을 수도 있습니다.You can also find PowerShell scripts, some of which may contain PowerShell workflows, and which outline a set of tasks and provide sequencing for those tasks. 이러한 패키지 중 일부는 Microsoft에서 작성되었으며 다른 항목은 PowerShell 커뮤니티에서 작성되었습니다.Some of these packages are authored by Microsoft, and others are authored by the PowerShell community.

PowerShellGet 개요PowerShellGet Overview

PowerShellGet 모듈에는 PowerShell 갤러리 및 다른 개인 리포지토리에서 모듈, DSC 리소스, 역할 기능 및 스크립트와 같은 아티팩트가 포함된 PowerShell 패키지를 검색, 설치, 업데이트 및 게시하기 위한 cmdlet이 포함되어 있습니다.The PowerShellGet module contains cmdlets for discovering, installing, updating and publishing PowerShell packages which contain artifacts such as Modules, DSC Resources, Role Capabilities and Scripts from the PowerShell Gallery and other private repositories.

갤러리에서 패키지를 설치하려면 최신 버전의 PowerShellGet 모듈이 필요합니다.Installing packages from the Gallery requires the latest version of the PowerShellGet module. 자세한 지침은 PowerShellGet 설치를 참조하세요.See Installing PowerShellGet for complete instructions.

갤러리와 함께 PowerShellGet 명령을 사용하는 방법에 대한 자세한 내용은 시작 페이지를 참조하세요.Check out the Getting Started page for more information on how to use PowerShellGet commands with the Gallery. Update-Help -Module PowerShellGet을 실행하여 이러한 명령에 대한 로컬 도움말을 설치할 수도 있습니다.You can also run Update-Help -Module PowerShellGet to install local help for these commands.

지원되는 운영 체제Supported Operating Systems

PowerShellGet 모듈을 사용하려면 Windows PowerShell 3.0 이상 또는 PowerShell Core 6.0 이상이 필요합니다.The PowerShellGet module requires Windows PowerShell 3.0 or newer, or PowerShell Core 6.0 or newer.

적합한 Windows PowerShell 버전을 사용할 수 있는 운영 체제는 다음과 같습니다.A suitable version of Windows PowerShell is available for these operating systems:

  • Windows 10Windows 10
  • Windows 8.1 ProWindows 8.1 Pro
  • Windows 8.1 EnterpriseWindows 8.1 Enterprise
  • Windows 7 SP1Windows 7 SP1
  • Windows Server 2019Windows Server 2019
  • Windows Server 2016Windows Server 2016
  • Windows Server 2012 R2Windows Server 2012 R2
  • Windows Server 2008 R2 SP1Windows Server 2008 R2 SP1

PowerShellGet을 사용하려면 .NET Framework 4.5 이상이 필요합니다.PowerShellGet requires .NET Framework 4.5 or above. .NET Framework 4.5 이상은 여기에서 설치할 수 있습니다.You can install .NET Framework 4.5 or above from here.

PowerShell Core는 교차 플랫폼이므로 Windows, Linux 및 MacOS에서 작동하며, 그 결과 PowerShellGet을 이러한 시스템에서 사용할 수 있습니다.Since PowerShell Core is cross-platform and that means it works on Windows, Linux and MacOS, that also makes PowerShellGet available on those systems. PowerShell Core가 지원하는 전체 시스템 목록은 PowerShell 설치를 참조하세요.For a full list of systems supported by PowerShell Core see Installing PowerShell.

갤러리에 호스트된 많은 모듈은 각기 다른 OS를 지원하며 추가 요구 사항이 있습니다.Many modules hosted in the gallery will support different OSes and have additional requirements. 자세한 내용은 모듈 설명서를 참조하세요.Please refer to the documentation for the modules for more information.

궁금한 점이 있나요?Got a question? 피드백이 있습니까?Have feedback?

PowerShell 갤러리 및 PowerShellGet에 대한 자세한 내용은 시작 페이지에서 확인할 수 있습니다.More information about the PowerShell Gallery and PowerShellGet can be found in the Getting Started page. UserVoice를 사용하여 피드백을 제공하고 문제를 신고하세요.Please provide feedback and report issues using UserVoice.